UFM(4)

NAME
ufm - USB driver for Cypress Semiconductor FM Radio

SYNOPSIS
To compile this driver into the kernel, place the following line in your kernel configuration file:

device ufm

Alternatively, to load the driver as a module at boot time, place the following line in loader.conf(5):

    ufm_load="YES"

DESCRIPTION
The ufm driver provides support for the D-Link/GEMTEK FM tuner. The USB interface chip is the common Cypress 63001, and the tuner is a Philips TEA5757 radio chip that uses a serial interface to set the tuner parameters. This design is used in the D-Link DSB-R100 USB Radio.

The ufm device must be configured in the kernel, along with usb(4) and one of the uhci(4) or ohci(4) controllers.

Subsequently, the /dev/ufm0 device can be used by userland applications.

FILES
/dev/ufm0
    blocking device node

SEE ALSO
ohci(4), uhci(4), usb(4)

AUTHORS
-nosplit The ufm driver was written by M. Warner Losh <imp@FreeBSD.org> for FreeBSD.